Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\SPI\Limitation\Target\Version Class Reference
Inheritance diagram for eZ\Publish\SPI\Limitation\Target\Version:

## Public Member Functions
| deleteTranslations (array $translationsToDelete)
| getTranslationsToDelete ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $allLanguageCodesList = []
| $allContentTypeIdsList = []
| $forUpdateInitialLanguageCode
| $forUpdateLanguageCodesList = []
| $forPublishLanguageCodesList = []
| $newStatus

## Private Attributes
| $translationsToDelete = []

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 24 of file SPI/Limitation/Target/Version.php.

## Member Function Documentation

## ◆ deleteTranslations()

eZ\Publish\SPI\Limitation\Target\Version::deleteTranslations | ( | array | $translationsToDelete | ) |

Parameters

  string[] | $translationsToDelete | List of language codes of translations to delete

Definition at line 82 of file SPI/Limitation/Target/Version.php.

References eZ\Publish\SPI\Limitation\Target\Version\$translationsToDelete.

## ◆ getTranslationsToDelete()

eZ\Publish\SPI\Limitation\Target\Version::getTranslationsToDelete | ( |  | ) |

Returns
  string[]

Definition at line 92 of file SPI/Limitation/Target/Version.php.

References eZ\Publish\SPI\Limitation\Target\Version\$translationsToDelete.

## Member Data Documentation

## ◆ $allContentTypeIdsList

eZ\Publish\SPI\Limitation\Target\Version::$allContentTypeIdsList = []
| protected

Definition at line 38 of file SPI/Limitation/Target/Version.php.

## ◆ $allLanguageCodesList

eZ\Publish\SPI\Limitation\Target\Version::$allLanguageCodesList = []
| protected

Definition at line 31 of file SPI/Limitation/Target/Version.php.

## ◆ $forPublishLanguageCodesList

eZ\Publish\SPI\Limitation\Target\Version::$forPublishLanguageCodesList = []
| protected

Definition at line 59 of file SPI/Limitation/Target/Version.php.

## ◆ $forUpdateInitialLanguageCode

eZ\Publish\SPI\Limitation\Target\Version::$forUpdateInitialLanguageCode
| protected

Definition at line 45 of file SPI/Limitation/Target/Version.php.

## ◆ $forUpdateLanguageCodesList

eZ\Publish\SPI\Limitation\Target\Version::$forUpdateLanguageCodesList = []
| protected

Definition at line 52 of file SPI/Limitation/Target/Version.php.

## ◆ $newStatus

eZ\Publish\SPI\Limitation\Target\Version::$newStatus
| protected

Definition at line 70 of file SPI/Limitation/Target/Version.php.

## ◆ $translationsToDelete

eZ\Publish\SPI\Limitation\Target\Version::$translationsToDelete = []
| private

Definition at line 77 of file SPI/Limitation/Target/Version.php.

Referenced by eZ\Publish\SPI\Limitation\Target\Version\deleteTranslations(), and eZ\Publish\SPI\Limitation\Target\Version\getTranslationsToDelete().

The documentation for this class was generated from the following file:

- SPI/Limitation/Target/Version.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.